RESTinio

Classes | Namespaces | Functions
overflow_controlled_integer_accumulator.hpp File Reference

Helper for parsing integer values. More...

`#include <restinio/compiler_features.hpp>`
`#include <type_traits>`
`#include <limits>`

Go to the source code of this file.

## Classes
struct | restinio::impl::check_positive_extremum
struct | restinio::impl::check_negative_extremum
struct | restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_positive_extremum >
struct | restinio::impl::overflow_controlled_integer_accumulator_details::extremum_value< T, check_negative_extremum >
class | restinio::impl::overflow_controlled_integer_accumulator_t< T, Multiplier, Extremum_Type >
| Helper class for accumulating integer value during parsing it from string (with check for overflow). More...

## Namespaces
namespace | restinio
namespace | restinio::impl
namespace | restinio::impl::overflow_controlled_integer_accumulator_details

## Functions
template<typename T , typename Storage_Type >
RESTINIO_NODISCARD std::enable_if< std::is_signed< T >::value, bool >::type | restinio::impl::overflow_controlled_integer_accumulator_details::is_greater_than_maximum (Storage_Type v, Storage_Type maximum)
template<typename T , typename Storage_Type >
RESTINIO_NODISCARD std::enable_if<!std::is_signed< T >::value, bool >::type | restinio::impl::overflow_controlled_integer_accumulator_details::is_greater_than_maximum (Storage_Type, Storage_Type)

## Detailed Description

Helper for parsing integer values.

Since
  v.0.6.2

Definition in file overflow_controlled_integer_accumulator.hpp.